Subject: Re: CONFIG_NETFILTER_DEBUG spew

From: Patrick McHardy <[email-masked]>
Date: Fri, 06 May 2005 00:36:35 +0200

Harald Welte wrote:
> On Sun, May 01, 2005 at 05:17:01PM +0200, Patrick McHardy wrote:
> 
>>You're right. I'm tempted to remove the entire nf_debug stuff,
>>as far as I know it has never found a real bug. But for now
>>I've only fixed the warning.
> 
> 
> yes, I second that change.  At the same time, we should get rid of all
> the lockhelp.h stuff that makes the netfilter code use non-standard lock
> primitives.

I've removed nf_debug. As for lockhelp.h, I'm still undecided whether
I should try to make rwlock debugging a feature of standard rwlocks
or else what to do with all the rwlock assertions.

Regards
Patrick